<?php
	include("../../cabecera.php");

	$sql="SELECT * FROM alumnos WHERE idCentro=".$_SESSION['centro']." ORDER BY id";

	$consulta=mysql_query($sql,$conexion);

	$numreg=mysql_num_rows($consulta);
?>
<script language="javascript">
	function seleccionarFila (n)
	{
		var seleccionado=0;
		if(document.getElementById("selalu"+n).value=="no")
		{
			document.getElementById("selalu"+n).value="si";
			seleccionado=1;
		} else
		{
			document.getElementById("selalu"+n).value="no";
		}
		switch (seleccionado)
		{
			case 0:
				for(i=0;i<=5;i++)
				{
					document.getElementById("lista"+i+n).style.backgroundColor="#eee";
				}
				break;
			case 1:
				for(i=0;i<=5;i++)
				{
					document.getElementById("lista"+i+n).style.backgroundColor="#ccc";
				}
				break;
		}
	}
</script>
<?php
	if($_SESSION['errAlumnos']!="")
	{
		echo "<div style='font-size:12;color:#f00;text-align:left'>Los siguientes alumnos no se importaron por tener alumnos con el mismo numero de expediente:<br><br>".$_SESSION['errAlumnos']."</div>";
		$_SESSION['errAlumnos']="";
	}
?>
<table class="titular" cellpadding="0" cellspacing="0">
	<tr>
		<td>Importar / Exportar Alumnos</td>
	</tr>
</table>
<table class="resumen" cellpadding="0" cellspacing="0">
	<tr>
		<td style="font-weight:bold">Importar</td>
	</tr>
</table>
<table cellpadding="0"cellspacing="0" style="">
	<tr>
		<td colspan="7" style="border:1px solid #ccc;padding:10;">
			<form action="importaAlumnosLista.php" method="POST" enctype="multipart/form-data">
			<table cellpadding="0" cellspacing="0" style="width:100%">
				<tr>
					<td class="fichaden">Selecciona un archivo y pulsa en el boton "Importar", a continuacion deberas seleccionar de la lista los alumnos a importar</td>
				</tr>
				<tr>
					<td class="fichaden" style="text-align:center;height:40"><input type="file" name="fichero"></td>
				</tr>
				<tr>
					<td class="fichaden" style="text-align:center;"><input type="submit" value="Importar" class="boton"></td>
				</tr>
			</table>
			</form>
	  	</td>
	</tr>
</table>
<table class="resumen" cellpadding="0" cellspacing="0">
	<tr>
		<td style="height:40;vertical-align:top;font-weight:bold">Exportar</td>
	</tr>
	<tr>
		<td>Selecciona los alumnos a exportar. Cuando termines, pulsa en el bot&oacute;n "Exportar" para proceder</td>
	</tr>
</table>
<form method="POST" action="exportaAlumnos.php" id="formulario">
<table cellpadding="0" cellspacing="0" style="padding-bottom:15">
	<tr>
		<td><input type="submit" value="Exportar" class="boton"></td>
	</tr>
</table>
<table cellpadding="0" cellspacing="0" style="border:1px solid #ccc">
	<tr>
		<td class=titulolista style="width:28;border-right:1px solid #fff">&nbsp;</td>
		<td class=titulolista style="border-right:1px solid #fff;width:300">Alumno</td>
		<td class=titulolista style="width:100;border-right:1px solid #fff">N&#186; EXP</td>
		<td class=titulolista style="width:100">CURSO</td>
		<td class=titulolista style="width:80;border-left:1px solid #fff">GRUPO</td>
		<td class=titulolista style="width:320;border-left:1px solid #fff">CENTRO</td>
		<?php
			$cont=0;
			while($fila=mysql_fetch_array($consulta))
			{
		?>
			<tr>
				<input type="hidden" id="selalu<?php echo $cont?>" value="no" />
				<input type="hidden" name="niealu<?php echo $cont?>" value="<?php echo $fila['NIE']?>" />
				<td class=lista id="lista0<?php echo $cont?>" style="text-align:center;border-right:1px solid #fff"><input type="checkbox" name="alu<?php echo $cont?>" id="alu<?php echo $cont?>" value="<?php echo $fila['id']?>" onchange="seleccionarFila(<?php echo $cont?>)"></td>
				<td class=lista id="lista1<?php echo $cont?>" style="border-right:1px solid #fff;padding-left:10"><?php echo $fila['apellidos'].", ".$fila['nombre']?></td>
				<td class=lista id="lista2<?php echo $cont?>" style="text-align:right;padding-right:10"><?php echo $fila['NIE']?></td>
				<td class=lista id="lista3<?php echo $cont?>" style="text-align:left;border-left:1px solid #fff;padding-left:10">
					<?php
						$consultaCur=mysql_query("SELECT * FROM cursos WHERE id=".$fila['idCurso'],$conexion);
						$filaCur=mysql_fetch_array($consultaCur);
						echo $filaCur ['cursos'];
					?>
				</td>
				<td class=lista id="lista4<?php echo $cont?>" style="text-align:center;border-left:1px solid #fff;padding-left:0">
					<?php
						$consultaGru=mysql_query("SELECT * FROM grupos WHERE id=".$fila['idGrupo'],$conexion);
						$filaGru=mysql_fetch_array($consultaGru);
						echo $filaGru ['grupo'];
					?>
				</td>
				<td class=lista id="lista5<?php echo $cont?>" id="lista5<?php echo $cont?>" style="text-align:center;border-left:1px solid #fff;padding-left:0">
					<?php
						$consultaCentro=mysql_query("SELECT * FROM centros WHERE id=".$fila['idCentro'],$conexion);
						$filaCentro=mysql_fetch_array($consultaCentro);
						echo $filaCentro ['centro'];
					?>
				</td>
				<input type="hidden" name="cenalu<?php echo $cont?>" value="<?php echo $fila['idCentro']?>">
			</tr>
		<?php
				$cont++;
			}
		?>
	</tr>
</table>
<input type="hidden" name="nalumnos" value="<?php echo $cont-1?>">
</form>
<?php
	include("../../pie.php");
?>